from flask import Blueprint
from flask_login import login_required
from app.controllers.auth_controller import login, logout, signup
from app.controllers.home_controller import home


main = Blueprint('main', __name__)

@main.route('/')
def index():
    return home()

@main.route('/login', methods=['GET', 'POST'])
def login_route():
    return login()

@main.route('/logout')
@login_required
def logout_route():
    return logout()

@main.route('/signup', methods=['POST'])
def signup_route():
    return signup()